Bug 2602 - xio unit tests hang on macos x
: xio unit tests hang on macos x
Status: RESOLVED FIXED
: XIO
Globus XIO
: development
: Macintosh MacOS
: P3 major
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-01-22 17:14 by
Modified: 2005-03-21 14:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-22 17:14:10
nmi-build6:~/gt4-build/install/test/globus_xio_test rynge$ ./TESTS.pl
basic-test............ok
close-barrier-test....ok
close-cancel-test.....ok
failure-test..........ok
read-barrier-test.....


And it hangs there forever.


Looking at what processes are running:

perl -w read-barrier-test.pl
sh -c ./framework_test read_barrier -r 1 -c 1024 -b 2048 -i  >
test_output/16130/read_barrier.0.out 2> test_output/16130/read_barrier.0.err
./framework_test read_barrier -r 1 -c 1024 -b 2048 -i


Attaching to framework_test with GDB:

(gdb) bt
#0  0x9001a4a8 in syscall ()
#1  0x9002a758 in sigpause ()
#2  0x0100cae4 in globus_callback_space_poll (timestop=0x103be9c, space=-2) at
globus_callback_nothreads.c:1517
#3  0x00009a34 in read_barrier_main (argc=8, argv=0xbffff918) at
read_barrier_test.c:216
#4  0x00003350 in call_test (argc=8, argv=0xbffff918) at test_common.c:270
#5  0x00003e24 in main (argc=8, argv=0xbffff918) at test_common.c:480
------- Comment #1 From 2005-02-24 17:44:50 -------
Seems I get the same problem on Solaris 8.

This should probably be a high priority bug for 4.0
------- Comment #2 From 2005-03-21 14:46:18 -------
fixed now